import React from 'react';
import Box from '../layout/Box';
import Text from '../text/Text';
import { bodyPropTypes } from './Dialog.propTypes';
export default function Body(props) {
  let defaultCustomId = 'body';
  let {
    children,
    customClassName,
    elllipsis
  } = props;
  return /*#__PURE__*/React.createElement(Box, {
    dataId: defaultCustomId,
    className: customClassName,
    flexible: true,
    basis: true
  }, typeof children == 'string' ? /*#__PURE__*/React.createElement(Text, {
    content: children,
    textEllipsis: elllipsis
  }) : children);
}
Body.propTypes = bodyPropTypes;